# La prueba de las funciones básicas radiales
# 08.02.2023
# Fraga
#
import numpy as np
import matplotlib.pyplot as plt

vx = np.linspace( -2, 6, 50 )

gamma = 1
vy1 = np.exp( -gamma*(vx-2.0)*(vx-2.0) )

gamma = 0.5
vy2 = np.exp( -gamma*(vx-2.0)*(vx-2.0) )

gamma = 0.25
vy3 = np.exp( -gamma*(vx-2.0)*(vx-2.0) )

fig, ax = plt.subplots( )

ax.plot( vx, vy1, label="gamma=1" )
ax.plot( vx, vy2, label="gamma=0.5" )
ax.plot( vx, vy3, label="gamma=0.25" )
ax.legend( )

plt.show( )
