import numpy as np
import matplotlib.pyplot as plt

vx = np.linspace( -2, 6, 50 )

gamma = 1.0
vy1 = np.tanh( 2.0*gamma*vx )

gamma = 0.5
vy2 = np.tanh( 2.0*gamma*vx )

gamma = 0.25
vy3 = np.tanh( 2.0*gamma*vx )

fig, ax = plt.subplots( )

ax.plot( vx, vy1, label="1" )
ax.plot( vx, vy2, label="2" )
ax.plot( vx, vy3, label="3" )
ax.legend( )

plt.show( )
